org.jfree.util

## Class PrintStreamLogTarget

- java.lang.Object
- - org.jfree.util.PrintStreamLogTarget

All Implemented Interfaces:
  java.io.Serializable, LogTarget

    public class PrintStreamLogTarget
    extends java.lang.Object
    implements LogTarget, java.io.Serializable

A log target that sends output to a `PrintStream`.

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.jfree.util.LogTarget

`DEBUG, ERROR, INFO, LEVELS, WARN`

### Constructor Summary

Constructors
Constructor and Description
`PrintStreamLogTarget()` The default constructor.
`PrintStreamLogTarget(java.io.PrintStream printStream)` The default constructor.

### Method Summary

Methods
`void` `log(int level, java.lang.Object message)` Logs a message to the main log stream.
`void` `log(int level, java.lang.Object message, java.lang.Exception e)` logs an message to the main-log stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrintStreamLogTarget

    public PrintStreamLogTarget()

The default constructor. Initializes this target with the system.out stream.

All `LogTarget` implementations need a default constructor.

#### PrintStreamLogTarget

    public PrintStreamLogTarget(java.io.PrintStream printStream)

The default constructor. Initializes this target with the given stream.

Parameters:
  `printStream` - the print stream that is used to write the content.

### Method Detail

#### log

    public void log(int level,
           java.lang.Object message)

Logs a message to the main log stream. All attached logStreams will also receive this message. If the given log-level is higher than the given debug-level in the main config file, no logging will be done.

Specified by:
  `log` in interface `LogTarget`
Parameters:
  `level` - log level of the message.
  `message` - text to be logged.

#### log

    public void log(int level,
           java.lang.Object message,
           java.lang.Exception e)

logs an message to the main-log stream. All attached logStreams will also receive this message. If the given log-level is higher than the given debug-level in the main config file, no logging will be done. The exception's stacktrace will be appended to the log-stream

Specified by:
  `log` in interface `LogTarget`
Parameters:
  `level` - log level of the message.
  `message` - text to be logged.
  `e` - the exception, which should be logged.